<div class="row d-flex justify-content-center">
  <div class="form-row" *ngIf="showViewOptions">
    <div class="form-group form-group-sm row col-24 col-lg-12">
      <label class="col-form-label col-24 col-lg-8">Available Views: </label>
      <div class="col-24 col-lg-16 pl-0 pl-lg-1">
        <dx-select-box [items]="availableViewsList" width="250px"
                       displayExpr="dspL_VW_NME" valueExpr="dspL_VW_ID"
                       [value]="availableDefaultViewID" searchMode="startswith"
                       [searchEnabled]="true" [searchExpr]="['dspL_VW_NME']"
                       (onValueChanged)="getViewData($event.value)"></dx-select-box>
      </div>
    </div>
    <div class="form-group form-group-sm row col-24 col-lg-12">
      <label class="col-form-label col-24 col-lg-8">View Options: </label>
      <div class="col-24 col-lg-16 pl-0 pl-lg-1">
        <dx-select-box [items]="viewOptions"
                       displayExpr="name"
                       placeholder="-- Select Option --"
                       valueExpr="id"
                       (onValueChanged)="createView($event.value)"
                       width="250px"></dx-select-box>
      </div>
    </div>
  </div>
  <div class="form-row" *ngIf="!showViewOptions">
    <div class="form-group form-group-sm row col-24 col-lg-16">
      <label class="col-form-label col-24 col-lg-14">Available Views: </label>
      <div class="col-24 col-lg-8">
        <dx-select-box [items]="availableViewsList" width="250px"
                       displayExpr="dspL_VW_NME" valueExpr="dspL_VW_ID"
                       [value]="availableDefaultViewID" searchMode="startswith"
                       [searchEnabled]="true" [searchExpr]="['dspL_VW_NME']"
                       (onValueChanged)="getViewData($event.value)"></dx-select-box>
      </div>
    </div>
  </div>
</div>

<dx-data-grid #grid id="grid" [dataSource]="eventViewDetailsList" keyExpr="ordR_ID"
              [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
              [showBorders]="true" [columnAutoWidth]="true"
              (onContentReady)="contentReadyHandler($event)" (onRowDblClick)="selectionChangedHandler($event)"
              (onCellPrepared)="onCellPrepared($event)" (onRowPrepared)="onRowPrepared($event)"
              (onToolbarPreparing)="onToolbarPreparing($event)" (onExporting)="onExporting($event)">
  <dxo-sorting mode="multiple"></dxo-sorting>
  <dxo-paging [pageSize]="25"></dxo-paging>
  <dxo-selection mode="single"></dxo-selection>
  <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
  <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
  <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
  <dxi-column *ngFor="let column of dispColumns;" [dataField]="column.field" [caption]="column.caption" [visible]="column.visible"></dxi-column>
  <div *dxTemplate="let data of 'exportTemplate'">
    <button type="button" class="btn btn-sm btn-primary"
            (click)="grid.instance.exportToExcel(false)">
      Export to Excel
    </button>
  </div>
  <div *dxTemplate="let row of 'orderIdTemplate'">
    <a class="hyperlink" (click)="selectionChangedHandler(row)">{{ row.value }}</a>
  </div>
</dx-data-grid>
